
	<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

    // document.body.innerHTML = printContents.fontsize(16);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/allpurchaseorder";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/allpurchaseorder";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>
	<script type="text/javascript">


$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/allpurchaseorder";
 }else{
	  //       window.location.href = "../user/allinvoices";
 
 }
});
</script>	

  <style type="text/css">
  
  	
  .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		
		
    }
  
  #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;20px;
  
    width:100%; height:50px;


}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
    @media print
    {
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:18; width:100%; }
    }
    </style>
<?PHP

 echo $this->session->flashdata('imagemsg1'); 
		 
		    
$session_data = $this->session->userdata('logged_in');


$data['surname'] = $session_data['surname'];
$data['id'] = $session_data['id'];

$surname=$data['surname'];
   $userid=$data['id'];

   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	

 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',$userid);
	$display1=$configuration[0]['display1']; 
	$hscode=$configuration[0]['hscode'];
					
?>
 
 <div class="row">

 

   	<div class="col-md-12">
	 <div class="pull-right" id="non-printable"  >
<form name="print" method="post" action="">
 <input type="submit" id="print"  accesskey="p" class="btn btn-primary"  name="print"onclick="printDiv('printableArea')" value="Print!" />
                   
 
 </form>
 <a href="<?php echo base_url(); ?>user/allpurchaseorder">Go Back to all purchases</a>

 </div>
  
        	
			
			<div class="table-responsive" id="printableArea" style="width:100%" >
						<table border="0" width="100%">
					
						<tr>
						<td colspan="2" valign="top">
<?php
 $session_data = $this->session->userdata('logged_in');

   
 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];
$data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	

								$profile = $this->usermodel->populateall('smsconfig','id',$companyid);

	
		if(!is_array($profile)) 

 {
	 $this->session->set_flashdata('msg', '<div class="alert alert-danger fade in">
						 <a href="#" class="close" data-dismiss="alert">&times;</a><strong>Error!</strong>Upload photo</div>');
							

    }else {

    
          
  	foreach ($profile as $c): 
$photo= $c->logo;
		 	if($photo!=""){
		 
		 
		
		
	
			
		
		$img=$c->logo;
	
		$img1='uploads/';
	$url = base_url().$img1.$img;

 
 ?>
 <div >
<img class="img-circle" src="<?php echo $url ?>" height="100" width="100" style="border-radius:4px;  ">		 

</div>



	 <?php }else{
		 ?>

				<?php
	 }
		 endforeach; ?>

              <?php }?>
						
						
						
				
						<?php $description=$configuration[0]['description']; if(isset($description)) {echo   $description; }?>
							
						
						
						
						</td>
						
					
						
						
							
						<td colspan="4" valign="top">
					<h2>SUPPLIER GOODS RETURN NOTE 	</h2>
					
<br><br>
					<b>	Invoice Date:  <?php echo$viewreceipt[0]['createdate'];?><BR>
						GRN No: <?php echo$viewreceipt[0]['id'];?><BR>

						P.O No: <?php echo$viewreceipt[0]['ordernumber'];?><BR>

						Ref No:  <?php $invoiceid; if(isset($invoiceid)) {echo   $invoiceid; }?><BR></H3>
						</b></td>
						
						</tr>
						
						
						
						
						</tr>
						
					<TR>
					<td colspan="6">
					<hr style="border-top: 2px solid gray;">

					</td>
					</TR>
						<tr>
						
					
						<td colspan="3">
						<B>Order To:</B><br>
					
						<?php $customer=$viewreceipt[0]['supplier'];

						 if(($customer!=0)||($customer!="")){
							
							
							$mysupplier=$this->usermodel->populateallarray('people','id', $customer);
						echo$comments=$mysupplier[0]['company'];
						
						 }  
						
						
							 
						 
							?>
						
						
						
						
						
						
						
						
						</td>
						
							<td colspan="3">
						<B>Shipping To:</B><br>
	 <?php echo$viewreceipt[0]['shippingto'];?><BR>
						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
<br><br>
										<div class="invoice-box">
													<table border="1" class="height2" height="100%" style="width:100%;">

								<tr class="heading">
							

							<td><b>From Date</b></td>
								<td><b>Expiry Date</b></td>
								<td><b>Ordered By</b></td>
								<td><b>Shipped Via</b></td>
								<td><b>F.O.B</b></td>
									<td><b>Terms</b></td>
	<?php 
if($hscode=="yes"){
	 ?>
									<td><b></b></td>

<?php
			
}			
											
?>
							</tr>
							
							<tr>
							

							<td><?php echo$viewreceipt[0]['orderdate'];?></td>
							<td><?php echo$viewreceipt[0]['canceldate'];?></td>
							<td><?php echo$viewreceipt[0]['orderedby'];?></td>
							<td><?php echo$viewreceipt[0]['deliverymethod'];?></td>
							<td><?php echo$viewreceipt[0]['fob'];?></td>
							<td><?php echo$viewreceipt[0]['terms'];?>
								<?php 
if($hscode=="yes"){
	 ?>
									<td><b></b></td>

<?php
			
}			
											
?>
							</td>

							</tr>
						<tr>
							<td colspan="6"><br>	</td>
								<?php 
if($hscode=="yes"){
	 ?>
									<td><b></b></td>

<?php
			
}			
											
?>
							
							
						</tr>
							<tr  class="heading">
										<?php 
if($hscode=="yes"){
	 ?>

<td  width="5%"><b>Hs.C</b></td>
<?php
			
}			
											
?>
<?php 
if($displaycode==true){
	 ?>
<td><b>Code</b></td>
<td><b>Item Name</b></td>
	 	<?php
		}else{?>
	<td colspan="2"><b>Item Name</b></td>
 <?php
 }
 ?>
 <td><b>Qty</td>
								<td><b>Disc</b></td>
								<td><b>Price</b></td>
								<td><b>Total</b></td>
							</tr>
					
						<?php
					
 if(!is_array($viewsales)) {
	 

			 }else{
 if(!is_array($viewsales)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='5'>";
    
    echo "</td>";
   echo "</tr>";
    }else {
 $totalcost=0;
  $totalvatcost=0;
  $totalexemptedcost=0;
   $totaltax=0;
  	foreach ($viewsales as $c): 

		 

             ?>
				                    <tbody >
									
										 
												
											<tr   valign="top">
																																		<?php 
if($hscode=="yes"){
	 $productname = $this->usermodel->geteproductbyid($customer);
	 ?>

	<td ><?php echo $productname[0]['hscode'] ; ?></td>
<?php
			
}			
											
?>	
											<?php 
if($displaycode==true){
	 ?>
									<td><?php echo $c->item_id ; ?></td>

													    <td><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->item_id;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
    if($c->batchno !=""){
	 echo "</br>" .$c->batchno;
  }
	
  
  ?></td>
	 	<?php
		}else{?>
	
	
													    <td  colspan="2" ><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->item_id;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  if($c->batchno !=""){
	 echo "</br>" .$c->batchno;
  }
	  
	  ;
  
  ?></td>
 <?php
 }
 ?>
										<td><?php echo $c->total ; ?></td>
													<td><?php echo $c->discount ; ?></td>
										 	 <td ><?php

echo formatMoney($c->buyingprice , true);
											 ?></td>
											 	 <td><?php 
												 
												    formatMoney($c->amount , true);
													echo$tt=((double)$c->buyingprice *(double)$c->total)-(double)$c->discount;
												 $totalcost=(double)$totalcost+((double)$tt);
												 $totaltax=(double)$totaltax+(double)$c->tax ;
												 $mytaxrate=$c->tax ;
												 
												 if(($mytaxrate!=0)||($mytaxrate!="")){
													 
													 $totalvatcost=(double)$totalvatcost+(double)$c->amount;
												 }
												  if(($mytaxrate==0)||($mytaxrate=="")){
													 
													 $totalexemptedcost=(double)$totalexemptedcost+(double)$c->amount;
												 }

												 ?></td>
											</tr>
										<?php endforeach;} ?>

              <?php }?>	
			  
			  
			  
				
								<tr>
								  <?php 
								if($hscode=="yes"){
	 ?>

								<td colspan="5" rowspan="7"></td>

<?php
			
}else{
?>
								<td colspan="4" rowspan="7"></td>


<?php
}	
											
?>	
								
							

								
								
							
									</tr>
									
									<tr>
							
									<td><b>Sub Total:</b></td><td>	<b><?php $total=$viewreceipt[0]['amount']; if(isset($totalcost)) {echo   formatMoney($totalcost, true); }?></b></td>
									</tr>
									<?php 
						$display1=$configuration[0]['display1']; 
						if(	$display1=="yes"){
						
						?>
						
							

							

							
									<tr><td>TAX RATE:</td><td>	<?php $tax1rate=$configuration[0]['tax1rate']; if(isset($tax1rate)) {echo  formatMoney($tax1rate, true) ;}?>%</td>	</tr>

								<tr><td>VAT AMT:	</td><td><?php if(isset($totaltax)) {  echo formatMoney($totaltax, true) ;}?></td>	</tr>

								<tr><td>VATABLE AMT:</td><td><?php if(isset($totalvatcost)) { $vatable=($totalvatcost-$totaltax);echo formatMoney($vatable, true) ; }?></td>	</tr>

								<tr><td>EXEMPT  AMT:</td><td>	<?php if(isset($totalexemptedcost)) {  echo formatMoney($totalexemptedcost, true) ;}?></td>

								</tr>
								
								<?php
									}
									?>
								
							
							
							
						<tr>
								
								
								<td colspan="6"> 

								
								
							<H3 class="pull-right">
															
															Signature:----------------------
											</H3>

							
							
							</td>
							
							</tr>
							
							
							
							
							
				
									</tbody>
									
									
					</table>
					</div>
			<div>
<?php $invoicedetails=$configuration[0]['invoicedetails']; echo$viewreceipt[0]['description']; echo "<br>";//if(isset($invoicedetails)) {echo   $invoicedetails; }?>

<br>

</div>
					
					
					
					
				</div>
			</div>
		
		
  


			
			
		
		

















